<template>
  <div class="container mx-auto mt-10">
    <div class="w-full black-flexible1-customize">
      <lobby-entry-filter
        :menus="gameEntryTabMenus"
        :activeColor="'text-secondary'"
        v-model:search="searchedGame"
        @onFilterClicked="getGameEntryFiltered"
        @search-games="updateSearchResult"
      >
        <template #slotProp>
          <lobby-render
            :loading="isLoading"
            :games="gameCollection"
            :grid="6"
            :gap="6"
            :show-staus="true"
            classGameName="text-white"
          />
        </template>
      </lobby-entry-filter>
    </div>
  </div>
</template>

<script lang="ts">
import { computed, defineComponent, watch } from "vue";
import { useGameEntryComponent } from "@/composables/useTheme";
import { IGameEntryMenu, TabGameMenu } from "@/models/gameEntryFilter";

export default defineComponent({
  name: "Game",
  setup() {
    const {
      isLoading,
      headerTab,
      initialGameEntry,
      searchedGame,
      handleSearchGame,
      getGameEntryFiltered,
      updateSearchResult,
      gameCollection,
    } = useGameEntryComponent();
    const gameEntryTabMenus = computed(() => {
      const result: IGameEntryMenu[] = [
        {
          Menus: headerTab.value.map((item) => new TabGameMenu(item, "main")),
          IsSearchBox: false,
          Justify: "left",
          Theme: "common",
        },
        {
          Menus: [],
          IsSearchBox: true,
          Justify: "left",
          Theme: "main",
        },
      ];
      return result;
    });
    watch(() => searchedGame.value, handleSearchGame);
    return {
      gameEntryTabMenus,
      searchedGame,
      initialGameEntry,
      isLoading,
      getGameEntryFiltered,
      updateSearchResult,
      gameCollection,
    };
  },
});
</script>
<style lang="scss">
:root {
  --gf-background-color: var(--border);
  --new-text-color: white;
  --gf-text-active-color: white;
}
.cool_88 {
  .game-filter-bg {
    background-color: transparent;
  }
  position: relative;
  .grid.grid-cols-10 {
    grid-template-columns: repeat(12, minmax(0, 1fr));
  }
  .game-filter {
    margin-bottom: 15px;
  }
  .grid {
    margin-bottom: 15px;
    .col-span-2 {
      border: none;
      .cursor-pointer div {
        justify-content: center;
        // height: 38px;
      }
      .cursor-pointer img {
        width: 100%;
      }
    }
  }
  .grid .flex .flex {
    .game-tab-menu .flex {
      flex-direction: row;
      margin-bottom: 8px;
      .game-tab-icon,
      .game-tab-icon-active {
        width: 1.25rem;
        height: auto;
      }
    }
    span {
      color: white;
    }
  }
  div .w-full.text-white {
    display: none;
  }
}
</style>
<style scoped>
:deep(.menu-main-content) {
  font-size: 14px;
  font-weight: bold;
}
:deep(.game-filter-bg) {
  margin-right: 8px;
}
:deep(.blog-game) {
  gap: 1.5rem;
}
:deep(.top-game-title) {
  margin: 24px 0px;
}
:deep(.menu-main-content) {
  margin: 0px 0px 24px 0px;
}
:deep(.menu-sitebar:hover) {
  color: var(--secondary);
}
</style>
